A flutter package for a readme editor.

pub build codecov

Usage

Add dev dependency to your pubspec.yaml:

dev_dependencies:
  flutter_markdown_editor: ^0.0.1

Run flutter pub get to install.

How it works

Import

import 'package:stack/stack.dart';

Initialize

TextEditingController controller = TextEditingController();
final MarkDownEditor markDownEditor = MarkDownEditor(controller: controller);

Vertical

markDownEditor.vertical()

In place

markDownEditor.inPlace()

Access widget pieces for a custom view

markDownEditor.field // to get the editing filed
markDownEditor.preview // to get the preview widget
markDownEditor.icons // to get the editing icons (buttons)

Libraries

editor_field
editor_icons
editor_preview
flutter_markdown_editor